simple_coder.c File Reference

Wrapper for simple filters. More...

`#include "simple_private.h"`

## Functions

static lzma_ret | copy_or_code (lzma_simple_coder *coder, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
| Copied or encodes/decodes more data to out[]. More...
static size_t | call_filter (lzma_simple_coder *coder, uint8_t *buffer, size_t size)
static lzma_ret | simple_code (void *coder_ptr, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
static void | simple_coder_end (void *coder_ptr, const lzma_allocator *allocator)
static lzma_ret | simple_coder_update (void *coder_ptr, const lzma_allocator *allocator, const lzma_filter *filters_null lzma_attribute((__unused__)), const lzma_filter *reversed_filters)
lzma_ret | lzma_simple_coder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters, size_t(*filter)(void *simple, uint32_t now_pos, bool is_encoder, uint8_t *buffer, size_t size), size_t simple_size, size_t unfiltered_max, uint32_t alignment, bool is_encoder)

## Detailed Description

Wrapper for simple filters.

Simple filters don't change the size of the data i.e. number of bytes in equals the number of bytes out.

## Function Documentation

## copy_or_code()

static lzma_ret copy_or_code | ( | lzma_simple_coder * | coder,
|  | const lzma_allocator * | allocator,
|  | const uint8_t *restrict | in,
|  | size_t *restrict | in_pos,
|  | size_t | in_size,
|  | uint8_t *restrict | out,
|  | size_t *restrict | out_pos,
|  | size_t | out_size,
|  | lzma_action | action
| ) |  |

static

Copied or encodes/decodes more data to out[].